QGIS Application - Bug report #8016
edit field to enter SRID: default text should disappear on click
2013-06-07 01:06 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: Data Provider/Oracle

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16862
Description

When loading a table, and clicking on the srid edit field, the text is editable; better to erase it and leave it empty (it is easy to leave some
extra characters, so the srid is not recognised)

Associated revisions

Revision 3d9d1eeb - 2013-06-08 01:24 AM - Jiirgen Fischer

postgresql & oracle provider fixes:

- start with an empty line edit when entering srids (fixes #8016)

- oracle provider: order primary key candidates in views by column id (fixes #8018)
- disable non-selectable entries and provide tooltips on why they are disabled

History

#1 - 2013-06-07 01:15 AM - Jiirgen Fischer

case srid? Do you mean column?

#2 - 2013-06-07 01:19 AM - Paolo Cavallini

Yes, the case where the SRID is to be written, in the SRID column

#3 - 2013-06-07 01:58 AM - Jiirgen Fischer
- Subject changed from Case for selecting SRID: default text should disappear on click to edit field to enter SRID: default text should disappear on click

#4 - 2013-06-07 04:26 PM - Jiirgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"3d9d1eeb33de58135¢cd48c068131af28¢c8dc9189".
